Loading...
Searching...
No Matches
juce::SpringEasingOptions Class Reference

## Detailed Description

A selection of options available for customising a spring style easing function.

The documentation for this class was generated from the following file:

- juce_animation/animation/juce_Easings.h

## Public Member Functions

auto | withFrequency (float newFrequency) const
| Specifies the number of oscillations the easing would undergo.
auto | withAttenuation (float newAttenuation) const
| Affects how quickly the oscillations die down.
auto | withExtraAttenuationRange (float newExtraAttenuationRange) const
| Specifies the input value at which an extra non-physical attenuation begins to be applied.
auto | getFrequency () const
| Returns the value specified by withFrequency.
auto | getAttenuation () const
| Returns the value specified by withAttenuation.
auto | getExtraAttenuationRange () const
| Returns the value specified by withExtraAttenuationRange.

## Member Functions

## withFrequency()

auto juce::SpringEasingOptions::withFrequency | ( | float | newFrequency | ) | const

inline nodiscard

Specifies the number of oscillations the easing would undergo.

This also affects the speed of the movement.

See also
  getFrequency, withAttenuation, withExtraAttenuationRange

References juce::withMember().

## withAttenuation()

auto juce::SpringEasingOptions::withAttenuation | ( | float | newAttenuation | ) | const

inline nodiscard

Affects how quickly the oscillations die down.

See also
  getAttenuation, withFrequency, withExtraAttenuationRange

References juce::withMember().

## withExtraAttenuationRange()

auto juce::SpringEasingOptions::withExtraAttenuationRange | ( | float | newExtraAttenuationRange | ) | const

inline nodiscard

Specifies the input value at which an extra non-physical attenuation begins to be applied.

The value must be in the range [0.05f, 0.98f].

This ensures that the easing always reaches an output value of 1.0f when the input value is 1.0f. If the attenuation is set sufficiently high this won't have a visible effect.

See also
  getExtraAttenuationRange, withFrequency, withAttenuation

References juce::withMember().

## getFrequency()

auto juce::SpringEasingOptions::getFrequency | ( |  | ) | const

inline nodiscard

Returns the value specified by withFrequency.

If no value was specified the default value is 3.0f.

See also
  withFrequency

## getAttenuation()

auto juce::SpringEasingOptions::getAttenuation | ( |  | ) | const

inline nodiscard

Returns the value specified by withAttenuation.

If no value was specified the default value is 3.0f.

See also
  withAttenuation

## getExtraAttenuationRange()

auto juce::SpringEasingOptions::getExtraAttenuationRange | ( |  | ) | const

inline nodiscard

Returns the value specified by withExtraAttenuationRange.

If no value was specified the default value is 0.25f.

See also
  withExtraAttenuationRange

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited